## Service-side Securable interface

Service-side Securable interface — GInterface to indicate channels' security level

## Types and Values

| TpSvcChannelInterfaceSecurable
| TpSvcChannelInterfaceSecurableClass

## Object Hierarchy

        GInterface
        ╰── TpSvcChannelInterfaceSecurable

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

The Securable channel interface represents a channel that might be end-to-end encrypted and/or protected from man-in-the-middle attacks.

## Functions

## Types and Values

### TpSvcChannelInterfaceSecurable

    typedef struct _TpSvcChannelInterfaceSecurable TpSvcChannelInterfaceSecurable;

Dummy typedef representing any implementation of this interface.

### TpSvcChannelInterfaceSecurableClass

    typedef struct _TpSvcChannelInterfaceSecurableClass TpSvcChannelInterfaceSecurableClass;

The class of TpSvcChannelInterfaceSecurable. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.